<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celtool/navigation.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celtool/navigation.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Navigation Tools</span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2007 by Dariusz Dawidowski</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00007"></a>00007 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00008"></a>00008 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00009"></a>00009 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00010"></a>00010 <span class="comment"></span>
<a name="l00011"></a>00011 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00012"></a>00012 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00013"></a>00013 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00014"></a>00014 <span class="comment">    Library General Public License for more details.</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00017"></a>00017 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00018"></a>00018 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00019"></a>00019 <span class="comment">*/</span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="preprocessor">#ifndef __CEL_TOOL_NAVIGATION__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_TOOL_NAVIGATION__</span>
<a name="l00023"></a>00023 <span class="preprocessor"></span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html">cssysdef.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/vector3_8h.html">csgeom/vector3.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="preprocessor">#include &quot;celtool/celtoolextern.h&quot;</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>;
<a name="l00030"></a>00030 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>;
<a name="l00031"></a>00031 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00032"></a>00032 <span class="keyword">struct </span><a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>;
<a name="l00033"></a>00033 
<a name="l00037"></a><a class="code" href="structcelNavigationInfo.html">00037</a> <span class="keyword">struct </span><a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a>
<a name="l00038"></a>00038 {
<a name="l00040"></a><a class="code" href="structcelNavigationInfo.html#ac05bf9ba318a92da6e47d8fcb5d13226">00040</a>   <span class="keywordtype">bool</span> <a class="code" href="structcelNavigationInfo.html#ac05bf9ba318a92da6e47d8fcb5d13226" title="True if navigator and target are found.">success</a>;
<a name="l00042"></a><a class="code" href="structcelNavigationInfo.html#ad2346bbae6614ad1d82370cef9a7cc95">00042</a>   <span class="keywordtype">bool</span> <a class="code" href="structcelNavigationInfo.html#ad2346bbae6614ad1d82370cef9a7cc95" title="True if navigator and target can see eachother.">visible</a>;
<a name="l00044"></a><a class="code" href="structcelNavigationInfo.html#aebebd096c5dce2c236aca57b3e4d8654">00044</a>   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="code" href="structcelNavigationInfo.html#aebebd096c5dce2c236aca57b3e4d8654" title="Point-point angle between navigator and target.">angle</a>;
<a name="l00046"></a><a class="code" href="structcelNavigationInfo.html#a7728772df051eb570063f9bc15e23a19">00046</a>   <span class="keywordtype">float</span> <a class="code" href="structcelNavigationInfo.html#a7728772df051eb570063f9bc15e23a19" title="Point-Point distance between navigator and target.">distance</a>;
<a name="l00047"></a>00047 };
<a name="l00048"></a>00048 
<a name="l00052"></a><a class="code" href="structcelNavigationTools.html">00052</a> <span class="keyword">struct </span>CEL_CELTOOL_EXPORT <a class="code" href="structcelNavigationTools.html" title="Helplers for navigation.">celNavigationTools</a>
<a name="l00053"></a>00053 {
<a name="l00060"></a>00060   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* navigator,
<a name="l00061"></a>00061         <span class="keyword">const</span> <span class="keywordtype">char</span>* tag, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; vector);
<a name="l00068"></a>00068   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>* navigator,
<a name="l00069"></a>00069         <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; vector);
<a name="l00077"></a>00077   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* navigator,
<a name="l00078"></a>00078         <span class="keyword">const</span> <span class="keywordtype">char</span>* navigator_tag, <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity,
<a name="l00079"></a>00079         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_tag);
<a name="l00087"></a>00087   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>* navigator,
<a name="l00088"></a>00088         <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity, <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_tag);
<a name="l00095"></a>00095   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* navigator,
<a name="l00096"></a>00096         <span class="keyword">const</span> <span class="keywordtype">char</span>* tag, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* node);
<a name="l00103"></a>00103   <span class="keyword">static</span> <a class="code" href="structcelNavigationInfo.html" title="Navigation result between navigator and target.">celNavigationInfo</a> GetNavigationInfo (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>* navigator,
<a name="l00104"></a>00104         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* node);
<a name="l00105"></a>00105 };
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 <span class="preprocessor">#endif // __CEL_TOOL_NAVIGATION__</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
